X509TrustedCertificateBlock (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.openssl

## Class X509TrustedCertificateBlock

- java.lang.Object
- - org.bouncycastle.openssl.X509TrustedCertificateBlock

-     public class X509TrustedCertificateBlock
      extends java.lang.Object

  Holder for an OpenSSL trusted certificate block.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X509TrustedCertificateBlock(byte[] encoding)`
    `X509TrustedCertificateBlock(X509CertificateHolder certificateHolder, CertificateTrustBlock trustBlock)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `X509CertificateHolder` | `getCertificateHolder()` Return the certificate associated with this Trusted Certificate
    `byte[]` | `getEncoded()`
    `CertificateTrustBlock` | `getTrustBlock()` Return the trust block associated with this Trusted Certificate

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### X509TrustedCertificateBlock

          public X509TrustedCertificateBlock(X509CertificateHolder certificateHolder,
                                     CertificateTrustBlock trustBlock)

    - #### X509TrustedCertificateBlock

          public X509TrustedCertificateBlock(byte[] encoding)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getEncoded

          public byte[] getEncoded()
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getCertificateHolder

          public X509CertificateHolder getCertificateHolder()

      Return the certificate associated with this Trusted Certificate
      Returns:
        the certificate holder.

    - #### getTrustBlock

          public CertificateTrustBlock getTrustBlock()

      Return the trust block associated with this Trusted Certificate
      Returns:
        the trust block.